package com.plannaplan;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import static org.assertj.core.api.Assertions.assertThat;
import static org.junit.Assert.assertTrue;

import java.io.InputStream;

import com.plannaplan.App;
import com.plannaplan.Configurator;
import com.plannaplan.models.ConfigData;

import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(SpringRunner.class)
@SpringBootTest
public class ConfiguratorTest  {
    
	@Autowired
	private Configurator restTemplate;
    
    @Test
	public void greetingShouldReturnDefaultMessage() throws Exception {
        final InputStream inputStream = getClass().getClassLoader().getResourceAsStream("Zajecia.xlsx");
        final ConfigData data = new ConfigData(null, null, inputStream);
        this.restTemplate.config(data);
        assertTrue(true);
        
    }
}